org.eclipse.oomph.resources.backend

## Class BackendResource

- java.lang.Object
- - org.eclipse.oomph.resources.backend.BackendResource

- Direct Known Subclasses:
    BackendContainer, BackendFile

      public abstract class BackendResource
      extends Object

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BackendResource.Type`
    `static interface` | `BackendResource.Visitor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RESOURCE_SCHEME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(BackendResource.Visitor visitor, IProgressMonitor monitor)`
    `boolean` | `equals(Object obj)`
    `boolean` | `exists(IProgressMonitor monitor)`
    `static BackendResource` | `get(String rootFolder)`
    `static BackendResource` | `get(URI absoluteURI)`
    `URI` | `getAbsoluteURI()`
    `Object` | `getDelegate()`
    `long` | `getLastModified(IProgressMonitor monitor)`
    `IPath` | `getLocation()`
    `String` | `getName()`
    `BackendContainer` | `getParent()`
    `String` | `getRelativePath(BackendContainer base)`
    `URI` | `getRelativeURI(BackendContainer base)`
    `BackendSystem` | `getSystem()`
    `String` | `getSystemRelativePath()`
    `URI` | `getSystemRelativeURI()`
    `abstract BackendResource.Type` | `getType()`
    `int` | `hashCode()`
    `boolean` | `isContainer()`
    `boolean` | `isLocal()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### RESOURCE_SCHEME

          public static final String RESOURCE_SCHEME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getSystem

          public final BackendSystem getSystem()

    - #### getType

          public abstract BackendResource.Type getType()

    - #### isContainer

          public final boolean isContainer()

    - #### getName

          public final String getName()

    - #### getParent

          public final BackendContainer getParent()
                                           throws BackendException

      Throws:
        `BackendException`

    - #### getAbsoluteURI

          public final URI getAbsoluteURI()
                                   throws BackendException

      Throws:
        `BackendException`

    - #### getSystemRelativeURI

          public final URI getSystemRelativeURI()

    - #### getSystemRelativePath

          public final String getSystemRelativePath()

    - #### getRelativeURI

          public final URI getRelativeURI(BackendContainer base)

    - #### getRelativePath

          public final String getRelativePath(BackendContainer base)

    - #### isLocal

          public final boolean isLocal()
                                throws BackendException

      Throws:
        `BackendException`

    - #### getLocation

          public final IPath getLocation()
                                  throws BackendException

      Throws:
        `BackendException`

    - #### exists

          public final boolean exists(IProgressMonitor monitor)
                               throws BackendException,
                                      OperationCanceledException

      Throws:
        `BackendException`
        `OperationCanceledException`

    - #### getLastModified

          public final long getLastModified(IProgressMonitor monitor)
                                     throws BackendException,
                                            OperationCanceledException

      Throws:
        `BackendException`
        `OperationCanceledException`

    - #### getDelegate

          public final Object getDelegate()
                                   throws BackendException

      Throws:
        `BackendException`

    - #### accept

          public final void accept(BackendResource.Visitor visitor,
                    IProgressMonitor monitor)
                            throws BackendException,
                                   OperationCanceledException

      Throws:
        `BackendException`
        `OperationCanceledException`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public final boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Object`

    - #### get

          public static BackendResource get(URI absoluteURI)
                                     throws BackendException

      Throws:
        `BackendException`

    - #### get

          public static BackendResource get(String rootFolder)
                                     throws BackendException

      Throws:
        `BackendException`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html